{ ... }:
{
  services.grafana = {
    enable  = true;
    settings = {
      server = {
        domain = "grafana.monitoring.clerie.de";
        root_url = "https://grafana.monitoring.clerie.de";
        http_port = 3001;
        http_addr = "[::1]";
      };
      "auth.anonymous" = {
        enabled = true;
      };
    };

    provision = {
      enable = true;
      datasources.settings.datasources = [
        {
          type = "prometheus";
          name = "Prometheus";
          url = "http://[::1]:9090";
          isDefault = true;
        }
      ];
      dashboards.settings.providers = [
        {
          options.path = ./dashboards;
        }
      ];
    };
  };

  services.nginx = {
    virtualHosts = {
      "grafana.monitoring.clerie.de" = {
        enableACME = true;
        forceSSL   = true;
        locations."/".proxyPass = "http://[::1]:3001/";
      };
    };
  };

}
